petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSectionGetStorageSize

Return the size of an array or local Vec capable of holding all the degrees of freedom.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetStorageSize(PetscSection s, PetscInt *size)

Not collective Many br

### Input Parameters

| s | - the PetscSection Many br
| size | - the allocated size Many br

### Output Parameter

size -the size of an array which can hold all the dofs Many br

Many br

### See Also

PetscSectionGetOffset(), PetscSectionGetConstrainedStorageSize(), PetscSectionCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages